catrez(1)

NAME
catrez - concatenate resource forks from files

SYNOPSIS
catrez [-av] -d dest_file file1 [ file2... ]

DESCRIPTION
catrez concatenates resources from multiple files into the resource fork of a single file. (The data fork of the destination file is not modified.) This is useful to programmers who create resources for a program in several different files and need to combine them into the resource fork of the final executable file.

OPTIONS

-v  Produce verbose output, including: the program version, the name of each source file, the type & ID of each copied resource, and whether a resource converter is required.

-a  Append resources to the destination file rather than overwriting the resource fork.

-d destfile
    Existing destination file name [required parameter].

GNO COMPATIBILITY
catrez will shut itself down if it receives any of the following signals:
    SIGHUP  (hang-up),
    SIGINT  (user keyboard interrupt),
    SIGPIPE (writing to a pipe with no reader),
    SIGALRM (alarm timer expiration), or
    SIGTERM (kill).
User signals (SIGUSR1 and SIGUSR2) are ignored.

EXAMPLES
Append the resources from menu.r to the resource fork of progfile:
    catrez -a -d progfile menu.r

Combine several resource files and add to progfile
    catrez -d progfile version.r menu.r window.r startup.r

VERSION
This manual page documents catrez version 1.0.2.

RETURN VALUES
catrez returns zero on success, non-zero otherwise.

AUTHOR
Dave Tribby <tribby@cup.hp.com>

HISTORY
Version 1.0 was released as an independent utility compatible with GNO in July 1996. Version 1.0.1, released in November 1996, fixed a problem with "protected" attributes. Version 1.0.2 was updated in September 1997 to use GNO 2.0.6 headers, libraries, and coding conventions, and released as part of GNO 2.0.6.